API

Update branch payment settings

POST/api/crm/v2/integration_payments.update_branch_settingsv2
operationId: integrationPayments.updateBranchSettings

Updates branch payment settings. For a branch without active payment systems, only_prepayment is reset.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body application/json

object
only_prepaymentstring

Values:noallcourierpickup

Example: no

cashstring

Displayed if only_prepayment is not equal to all

Values:noallcourierpickup

Example: no

pos_terminalstring

Displayed if only_prepayment is not equal to all

Values:noallcourierpickup

Example: no

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject